Bug 1474598 - [abrt] pungi: _getFile(): yumRepo.py:1028:_getFile:NoMoreMirrorsRepoError: failure: repodata/repomd.xml from local: [Errno 256] No more mirrors to try.
[abrt] pungi: _getFile(): yumRepo.py:1028:_getFile:NoMoreMirrorsRepoError: fa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomír Sedlář
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bda673aeb4b10f2d98e0dec8e1a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 22:51 EDT by Robin Lee
Modified: 2018-05-29 08:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.44 KB, text/plain)
2017-07-24 22:51 EDT, Robin Lee
no flags Details
File: cgroup (355 bytes, text/plain)
2017-07-24 22:51 EDT, Robin Lee
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2017-07-24 22:51 EDT, Robin Lee
no flags Details
File: environ (2.09 KB, text/plain)
2017-07-24 22:51 EDT, Robin Lee
no flags Details
File: mountinfo (3.71 KB, text/plain)
2017-07-24 22:51 EDT, Robin Lee
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-24 22:51 EDT, Robin Lee
no flags Details
File: open_fds (685 bytes, text/plain)
2017-07-24 22:51 EDT, Robin Lee
no flags Details

  None (edit)
Description Robin Lee 2017-07-24 22:51:31 EDT
Description of problem:
Local repo failed

Version-Release number of selected component:
pungi-4.1.15-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python /bin/pungi -c /var/lib/mock/build/Kolla/winstack_iso/repo.ks --nogreedy --nosource -G
crash_function: _getFile
exception_type: NoMoreMirrorsRepoError
executable:     /bin/pungi
kernel:         4.11.6-301.fc26.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
yumRepo.py:1028:_getFile:NoMoreMirrorsRepoError: failure: repodata/repomd.xml from local: [Errno 256] No more mirrors to try.
file:///var/lib/mock/build/Kolla/local/repodata/repomd.xml: [Errno 14] curl#37 - "Couldn't open file /var/lib/mock/build/Kolla/local/repodata/repomd.xml"

Traceback (most recent call last):
  File "/bin/pungi", line 338, in <module>
    main()
  File "/bin/pungi", line 140, in main
    mypungi._inityum() # initialize the yum object for things that need it
  File "/usr/lib/python2.7/site-packages/pungi/gather.py", line 64, in wrapper
    return method(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pungi/gather.py", line 428, in _inityum
    self.ayum._getSacks(archlist=self.valid_arches)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 799, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 383, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 225, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 319, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1488, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1675, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1671, in _getRepoXML
    self._loadRepoXML(text=self.ui_id)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1661, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1635, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1460, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1234, in _getFileRepoXML
    size=102400) # setting max size as 100K
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1028, in _getFile
    raise Errors.NoMoreMirrorsRepoError(errstr, errors, repo=self)
NoMoreMirrorsRepoError: failure: repodata/repomd.xml from local: [Errno 256] No more mirrors to try.
file:///var/lib/mock/build/Kolla/local/repodata/repomd.xml: [Errno 14] curl#37 - "Couldn't open file /var/lib/mock/build/Kolla/local/repodata/repomd.xml"

Local variables in innermost frame:
relative: 'repodata/repomd.xml'
errors: [('file:///var/lib/mock/build/Kolla/local/repodata/repomd.xml', '[Errno 14] curl#37 - "Couldn\'t open file /var/lib/mock/build/Kolla/local/repodata/repomd.xml"')]
e: URLGrabError(256, 'No more mirrors to try.')
start: None
dirstat: posix.statvfs_result(f_bsize=4096, f_frsize=4096, f_blocks=12868767, f_bfree=2914176, f_bavail=2254720, f_files=3276800, f_ffree=2587568, f_favail=2587568, f_flag=4096, f_namemax=255)
text: 'local'
self: <yum.yumRepo.YumRepository object at 0x7f9c25b3a410>
cache: True
reget: None
avail: 9235333120
headers: ()
checkfunc: (<bound method YumRepository._checkRepoXML of <yum.yumRepo.YumRepository object at 0x7f9c25b3a410>>, (), {})
errstr: 'failure: repodata/repomd.xml from local: [Errno 256] No more mirrors to try.'
copy_local: 1
kwargs: {}
url: None
end: None
local: '/var/cache/pungi/local/repomd61CZNYtmp.xml'
size: 102400
Comment 1 Robin Lee 2017-07-24 22:51:36 EDT
Created attachment 1303994 [details]
File: backtrace
Comment 2 Robin Lee 2017-07-24 22:51:37 EDT
Created attachment 1303995 [details]
File: cgroup
Comment 3 Robin Lee 2017-07-24 22:51:39 EDT
Created attachment 1303996 [details]
File: cpuinfo
Comment 4 Robin Lee 2017-07-24 22:51:40 EDT
Created attachment 1303997 [details]
File: environ
Comment 5 Robin Lee 2017-07-24 22:51:42 EDT
Created attachment 1303998 [details]
File: mountinfo
Comment 6 Robin Lee 2017-07-24 22:51:43 EDT
Created attachment 1303999 [details]
File: namespaces
Comment 7 Robin Lee 2017-07-24 22:51:45 EDT
Created attachment 1304000 [details]
File: open_fds
Comment 8 Fedora End Of Life 2018-05-03 04:36:07 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2018-05-29 08:00:36 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.